Package fr.gouv.vitam.common.accesslog

# Class AccessLogUtils

java.lang.Object
fr.gouv.vitam.common.accesslog.AccessLogUtils

public class AccessLogUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_ID`
  `static final String`
  `CONTEXT_ID`
  `static final String`
  `FILE_NAME`
  `static final String`
  `QUALIFIER`
  `static final String`
  `SIZE`
  `static final String`
  `VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessLogUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Boolean`
  `checkFileInRequestedDates(String fileName, Date startDate, Date endDate)`
  `static AccessLogInfoModel`
  `getInfoForAccessLog(String qualifier, Integer version, VitamSession session, Long size, String archiveUnitId)`
  `static AccessLogInfoModel`
  `getInfoFromWorkerInfo(Map<String,Object> objectInfo, VitamSession session, Boolean mustLog)`
  `static AccessLogInfoModel`
  `getNoLogAccessLog()`
  `static com.fasterxml.jackson.databind.JsonNode`
  `getWorkerInfo(String qualifier, Integer version, Long size, String archiveUnitId, String fileName)`
  `static Boolean`
  `mustLog(AccessLogInfoModel logInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### QUALIFIER

    public static final String QUALIFIER
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    See Also:
      - Constant Field Values

  - ### CONTEXT_ID

    public static final String CONTEXT_ID
    See Also:
      - Constant Field Values

  - ### ARCHIVE_ID

    public static final String ARCHIVE_ID
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

  - ### FILE_NAME

    public static final String FILE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessLogUtils

    public AccessLogUtils()

- ## Method Details

  - ### getWorkerInfo

    public static com.fasterxml.jackson.databind.JsonNode getWorkerInfo(String qualifier, Integer version, Long size, String archiveUnitId, String fileName)

  - ### getInfoFromWorkerInfo

    public static AccessLogInfoModel getInfoFromWorkerInfo(Map<String,Object> objectInfo, VitamSession session, Boolean mustLog)

  - ### getInfoForAccessLog

    public static AccessLogInfoModel getInfoForAccessLog(String qualifier, Integer version, VitamSession session, Long size, String archiveUnitId)

  - ### checkFileInRequestedDates

    public static Boolean checkFileInRequestedDates(String fileName, Date startDate, Date endDate)

  - ### getNoLogAccessLog

    public static AccessLogInfoModel getNoLogAccessLog()

  - ### mustLog

    public static Boolean mustLog(AccessLogInfoModel logInfo)